require 'weather-model/version'

module WeatherModel
  require 'weather-model/source_schema'
  def self.create_classes
    Weather::Model::SourceSchema.each do |source|
      Object.const_set("#{source}::Mysql", Class.new(Source::Mysql))
      Object.const_set("#{source}::Ohm", Class.new(Source::Ohm))
    end 
  end
end
