module WeatherModel
  module SourceSchema
    ShanghaiTen = {
      table_name: :forecasts,
      schema: {
        datetime: :datetime,
        cityname: :string,
        temp_high: :string,
        temp_low: :string,
        weather_text: :string,
        weather_pic: :string,
        win_dir: :string,
        win_speed: :string,
      },
      options: {
        index: [:cityname],
        father: nil,
        son: nil
      } 
    }
  end    
end

